doctype html
html
    head
        meta(charset='UTF-8')
        title feedmap
        link(rel='stylesheet', href='/style.css')
        //link(rel='stylesheet', href='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.css')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='https://cdn.jsdelivr.net/npm/chart.js@2.9.3')
        //script(src='https://cdn.jsdelivr.net/npm/luxon@1.22.1')
        script(src='https://cdn.jsdelivr.net/npm/chartjs-adapter-luxon@0.2.1')
        script(src='/js/qrcode.min.js')
        //script(src='https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')
        //script(src='http://cdn.leafletjs.com/leaflet-0.7.3/leaflet.js')

    body

    script(src='/js/feedmap.js')

    <a href="/"><--home</a>

    h1 Feedmap: "#{feedmap_name}"
    p.boxsmaller <b>Feedmap URL:</b>  <a href="/data/#{feedmap_pubkey}/">http://co2dataviz.pvos.org/data/#{feedmap_pubkey}</a>

    //p.boxsmaller <b>Feedmap URL:</b>  <a href="/feedmap/#{feedmap_pubkey}/">http://co2dataviz.pvos.org/feedmap/#{feedmap_pubkey}</a>
    //p.boxsmaller <b>Feedmap Public Key:</b> #{feedmap_pubkey}
    //p.boxsmaller <b>Feedmap Private Key:</b> #{private_key}
    //p.boxsmaller <b>Feedmap Map URL:</b> <a href="#{map_url}">#{short_map_url}</a>
    p.boxsmaller <b>QR Code</b> with link to this feedmap (download: <a href="#" download="qrcode.png" id="downloadlink">qrcode_feedmap_#{feedmap_pubkey}.png</a>):
    canvas(id='qrcode') 

    //br
    //button(type='submit' action='/qr' method='GET') Download QR Code for link to this feedmap
    br
    table.center
        tr
            th Feed Nickname
            th Feed Public Key
            th Feed Data
            //th Map X,Y
        each val, i in bayoudata
            tr
                td(style="padding:1px; border-radius: 20px; background: lightgray; font-size:18px; font-weight: bold; color:"+colors[i]) !{val.feed_nickname}
                td <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}">!{val.feedjson.feed_pubkey}</a>
                td  <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/csv">CSV</a> | <a href="http://co2data.pvos.org/data/#{val.feedjson.feed_pubkey}/json">JSON</a>
                //td !{val.coords.x}, !{val.coords.y}
    
    p.boxsmaller CO2 (ppm) 

    canvas(id='chart' height='80px')
    //p.boxsmaller <b>Feeds:</b>
    
    p.boxsmaller Temp (C)

    canvas(id='chart_temp' height='80px')
    //p.boxsmaller <b>Feeds:</b>

    p.boxsmaller Relative Humidity (%)

    canvas(id='chart_humidity' height='80px')
    //p.boxsmaller <b>Feeds:</b>

    br

    script.
        QRCode.toCanvas(document.getElementById('qrcode'), 'http://#{base_url}/data/#{feedmap_pubkey}', function (error) {
        if (error) console.error(error)
        console.log('success!');
        })

    script.
        const canvas = document.getElementById("qrcode");
        const canvasdata = canvas.toDataURL();
        const link = document.getElementById("downloadlink");
        link.href = canvasdata;
        link.download = "feedmap_#{feedmap_pubkey}.png";


    script.  
        var bdata = !{JSON.stringify(bayoudata)};
        makeChartOverlay('chart',bdata,"co2",!{JSON.stringify(colors)});
        makeChartOverlay('chart_temp',bdata,"tempc",!{JSON.stringify(colors)});
        makeChartOverlay('chart_humidity',bdata,"humidity",!{JSON.stringify(colors)});

            
                        
        
